Bug 658498 - pth rpmbuild fails on ppc64
Summary: pth rpmbuild fails on ppc64
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pth
Version: 5.5
Hardware: ppc64
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Law
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 14:43 UTC by Zbysek MRAZ
Modified: 2013-07-03 13:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 17:43:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zbysek MRAZ 2010-11-30 14:43:29 UTC
Version-Release number of selected component (if applicable):
pth-2.0.7-6.el5.ppc64
pth-2.0.7-6.el5.ppc
automake-1.9.6-2.3.el5.noarch
glibc-common-2.5-49.el5_5.7.ppc
glibc-common-2.5-49.el5_5.7.ppc

How reproducible:
always

Steps to Reproduce:
1. rpm -ivh pth*src.rpm
2. rpmbuild -bc /usr/src/redhat/SPECS/pth.spec
  
Actual results:
test_misc.o: In function make[1]: *** [test_std] Error 1
make[1]: *** [test_misc] Error 1
make[1]: *** [test_philo] Error 1
etc...

Expected results:
no errors, pth package is build

Additional info:
The results of automated test on RHEL5.6 tree
https://beaker.engineering.redhat.com/tasks/executed?task=/CoreOS/pth/Sanity/selftest&job_id=32079

Comment 1 Zbysek MRAZ 2011-05-05 14:16:25 UTC
I've hit the same issue on RHEL5.7 Alpha build with following versions:
pth-2.0.7-6.el5
pth-2.0.7-6.el5
automake-1.9.6-2.3.el5
glibc-common-2.5-65

Comment 2 Miroslav Vadkerti 2011-05-23 07:34:57 UTC
I do not think this is a bug as the package can be built fine in brew. The problem here will be that you are trying to build a 64bit package on a 32bit system. I had this problem in a couple of my tests. 

I fixed pth test adn now runs fine on ppc64:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Setup
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Checking for the presence of pth rpm
:: [   PASS   ] :: Creating tmp directory
:: [   PASS   ] :: Running 'pushd /tmp/tmp.HITEG11692'
:: [   LOG    ] :: rlFetchSrcForInstalled: Fetching source rpm for installed pth
:: [   INFO   ] :: rlFetchSrcForInstalled: Installed pth version: pth-2.0.7-6.el5.ppc
:: [   PASS   ] :: Installing source RPM
:: [   PASS   ] :: Building package
:: [   PASS   ] :: Running 'cd /usr/src/redhat/BUILD/pth*'
:: [   LOG    ] :: Duration: 29s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: Setup

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Testing
:: [   PASS   ] :: File '/tmp/tmp.HITEG11692/tests.log' should contain 'OK - ALL TESTS SUCCESSFULLY PASSED'
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: Test

Comment 3 RHEL Program Management 2011-05-31 14:23:30 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 4 Jeff Law 2012-01-26 17:43:14 UTC
Per C#2.


Note You need to log in before you can comment on or make changes to this bug.